API Reference//
- Update an activity log type
List all activity log types
Create an activity log type
Retrieve an activity log type
Update an activity log ty...
Security
oauth2_client_credentials or oauth2_authorization_code
Optional. The list of fields to be updated.
If not provided (i.e., the mask is omitted), the server will update all fields that are populated in the activity_log_type message in this request (i.e., fields that have a non-empty value).
The special value * can be used for a full replacement of the resource, equivalent to a PUT operation. When using *, be cautious as new fields added to the resource in the future will also be updated.
For robust updates, explicitly specifying the fields is recommended.
See AIP-134 (Standard Update) and AIP-161 (Field Masks) for more details.
- Mock serverhttps://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogTypes/{activityLogType}
- BNDRY APIhttps://api.bndry.app/v1alpha/activityLogTypes/{activityLogType}
curl -i -X PATCH \
'https://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogTypes/{activityLogType}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "activityLogTypes/customer-sign-in",
"label": "string"
}'Response
{ "name": "activityLogTypes/customer-sign-in", "label": "string" }